Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 5.3.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.db
Class CacheFileStats

    java.lang.Object
      com.sleepycat.db.CacheFileStats

    public class CacheFileStats

extends Object

Statistics for a file in the cache.

Method Summary
`long` | `getBackupSpins()` TODO
`long` | `getCacheHit()` Requested pages found in the cache.
`long` | `getCacheMiss()` Requested pages not found in the cache.
`String` | `getFileName()` The name of the file.
`int` | `getMap()` Requested pages mapped into the process' address space.
`long` | `getPageCreate()` Pages created in the cache.
`long` | `getPageIn()` Pages read into the cache.
`long` | `getPageOut()` Pages written from the cache to the backing file.
`int` | `getPageSize()` Page size in bytes.
`String` | `toString()` For convenience, the CacheFileStats class has a toString method that lists all the data fields.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getPageSize

    public int getPageSize()

  Page size in bytes.

### getMap

    public int getMap()

  Requested pages mapped into the process' address space.

### getCacheHit

    public long getCacheHit()

  Requested pages found in the cache.

### getCacheMiss

    public long getCacheMiss()

  Requested pages not found in the cache.

### getPageCreate

    public long getPageCreate()

  Pages created in the cache.

### getPageIn

    public long getPageIn()

  Pages read into the cache.

### getPageOut

    public long getPageOut()

  Pages written from the cache to the backing file.

### getBackupSpins

    public long getBackupSpins()

  TODO

### getFileName

    public String getFileName()

  The name of the file.

### toString

    public String toString()

  For convenience, the CacheFileStats class has a toString method that lists all the data fields.

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 5.3.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2012 Oracle and/or its affiliates. All rights reserved.